## org.biojava.bio.seq.io.filterxml
Interface XMLAnnotationTypeWriter.XMLCollectionConstraintWriter

Enclosing interface:
  XMLAnnotationTypeWriter

public static interface XMLAnnotationTypeWriter.XMLCollectionConstraintWriter

Writer for types of CollectionConstraint. Implement this to add support for a new type of CollectionConstraint.

Since:
  1.3
Author:
  Thomas Down

Method Summary
`void` `writeCollectionConstraint(CollectionConstraint pc, XMLWriter xw, XMLAnnotationTypeWriter config)`

Method Detail

### writeCollectionConstraint

    public void writeCollectionConstraint(CollectionConstraint pc,
                                          XMLWriter xw,
                                          XMLAnnotationTypeWriter config)
                                   throws java.lang.ClassCastException,
                                          java.io.IOException,
                                          java.lang.IllegalArgumentException

  Throws:
    `java.lang.ClassCastException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`